﻿

/*最外層區塊*/


.login /*登入區塊*/ {
    min-width: 300px;
    max-width: 500px;
    padding: 0;
    margin: 0 auto;
    border: 1px solid #BBBBBB;
    border-radius: 6px;
    background: #f3f3f3;
}

    /*
            ::before 是個假擬元素 (pseudo-elements)
            ::after (同)
            參考 http://boohover.pixnet.net/blog/post/13148783
            */


    .login h1 {
        margin: 0;
        padding: 0;
        line-height: 40px;
        font-size: 18px;
        font-weight: bold;
        color: #555;
        text-align: center;
        /*text-shadow: 1px 1px #ffcaca;*/ /* 文字陰影效果*/
        background: #f3f3f3;
        border-bottom: 1px solid #cfcfcf;
        border-radius: 3px 3px 0 0;
        background-image: -webkit-linear-gradient(top, whiteffd, #eef2f5);
        background-image: -moz-linear-gradient(top, whiteffd, #eef2f5);
        background-image: -o-linear-gradient(top, whiteffd, #eef2f5);
        background-image: linear-gradient(to bottom, whiteffd, #eef2f5);
        -webkit-box-shadow: 0 1px whitesmoke;
        box-shadow: 0 1px whitesmoke;
    }

    .login p {
        margin: 0 auto;
        text-align:center;
        padding:1em;
    }

    .login .remember_me {
        -moz-box-sizing: border-box;
        -webkit-box-sizing: border-box;
        box-sizing: border-box;
        margin: 1em auto;
        width:75%;
        padding: 0;
        font-size: 0.75em;
    }

        .login .remember_me > span {
            -moz-box-sizing: border-box;
            -webkit-box-sizing: border-box;
            box-sizing: border-box;
            float: left;
            width: 50%;
            margin: 0;
            padding: 0;
        }

    .login .remember_me > span > label {
        font-size: 12px;
        color: #777;
        cursor: pointer;
        display:block;
    }

    .login p.remember_me input {
        position: relative;
        bottom: 1px;
        margin-right: 4px;
        vertical-align: middle;
    }

    .login p.submit {
        text-align: right;
    }

input[type=text], input[type=password] {
    margin: 0 auto;
    padding: 0 0 0 5px;
    width: 80%;
    height: 3em;
    color: #404040;
    background: white;
    border: 1px solid;
    border-color: #c4c4c4 #d1d1d1 #d4d4d4;
    border-radius: 2px;
    outline: 5px solid #eff4f7;
    -moz-outline-radius: 3px;
    -webkit-box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.12);
    box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.12);
    font-size: 14px;
    font-family: 'Lucida Grande', Tahoma, Verdana, sans-serif;
}

    input[type=text]:focus,
    input[type=password]:focus {
        border-color: #7dc9e2;
        outline-color: #dceefc;
        outline-offset: 0;
    }

input[type=button],
input[type=submit] {
    padding: 0 18px;
    height: 29px;
    font-size: 12px;
    font-weight: bold;
    color: #527881;
    /*text-shadow: 0 1px #e3f1f1;*/
    background: #cde5ef;
    border: 1px solid;
    border-color: #b4ccce #b3c0c8 #9eb9c2;
    border-radius: 15px;
    outline: 0;
    cursor: pointer;
    -webkit-box-sizing: content-box;
    -moz-box-sizing: content-box;
    box-sizing: content-box;
    background-image: -webkit-linear-gradient(top, #edf5f8, #cde5ef);
    background-image: -moz-linear-gradient(top, #edf5f8, #cde5ef);
    background-image: -o-linear-gradient(top, #edf5f8, #cde5ef);
    background-image: linear-gradient(to bottom, #edf5f8, #cde5ef);
    -webkit-box-shadow: inset 0 1px white, 0 1px 2px rgba(0, 0, 0, 0.15);
    box-shadow: inset 0 1px white, 0 1px 2px rgba(0, 0, 0, 0.15);
}

    input[type=submit]:active {
        background: #cde5ef;
        border-color: #9eb9c2 #b3c0c8 #b4ccce;
        -webkit-box-shadow: inset 0 0 3px rgba(0, 0, 0, 0.2);
        box-shadow: inset 0 0 3px rgba(0, 0, 0, 0.2);
    }


input[type=checkbox],
input[type=radio] {
    border: 1px solid #c0c0c0;
    margin: 0 0.1em 0 0;
    padding: 0;
    font-size: 16px;
    line-height: 1em;
    width: 1.25em;
    height: 1.25em;
    background: #fff;
    background: -webkit-gradient(linear, 0% 0%, 0% 100%, from(#ededed), to(#fbfbfb));
    -webkit-appearance: none;
    /*-webkit-box-shadow: 1px 1px 1px #fff;*/
    /*-webkit-border-radius: 0.25em;*/
    vertical-align: text-top;
    display: inline-block;
}

input[type=radio] {
    /*-webkit-border-radius: 2em;*/
}

input[type=checkbox]:checked::after {
    content: 'v';
    display: block;
    text-align: center;
    font-size: 16px;
    height: 16px;
    line-height: 18px;
}

input[type=radio]:checked::after {
    content: 'v';
    display: block;
    height: 16px;
    line-height: 15px;
    font-size: 20px;
    text-align: center;
}

:-moz-placeholder {
    color: #c9c9c9 !important;
    font-size: 13px;
}

::-webkit-input-placeholder {
    color: #ccc;
    font-size: 13px;
}

.login-help {
    text-align: right;
    vertical-align: bottom;
}

    .login-help a {
        color: #0094ff;
        text-decoration: none;
        font-size: 10px;
    }

        .login-help a:hover {
            text-decoration: underline;
        }

.login_validate_image {
    border-radius: 3px;
    border: 1px solid #CCCCCC;
    cursor: pointer;
    margin-left: 5px;
}


.oLogin {
    border-top: 1px solid #cccccc;
    padding-top: 1em;
    margin-top: 2em;
    text-align: center;
}

    .oLogin > img {
        margin-top: 0.25em;
        cursor: pointer;
        border-radius: 8px;
    }

        .oLogin > img:hover {
            border-color: #9eb9c2 #b3c0c8 #b4ccce;
            -webkit-box-shadow: inset 0 0 3px rgba(0, 0, 0, 0.2);
            box-shadow: inset 0 0 3px rgba(0, 0, 0, 0.2);
        }
